"use strict";
const common_store_useWeAppAuthStore = require("../store/useWeAppAuthStore.js");
const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
function getStyleBgInfo() {
  var _a, _b, _c;
  let style = (_c = (_b = (_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.config) == null ? void 0 : _b.companyConfig) == null ? void 0 : _c.config_value;
  let color = style == null ? void 0 : style.color;
  return {
    backgroundColor: color || "#0082fa",
    border: "1rpx solid " + (color || "#0082fa"),
    color: "#fff"
  };
}
function getStyleColorInfo() {
  var _a, _b, _c;
  let style = (_c = (_b = (_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.config) == null ? void 0 : _b.companyConfig) == null ? void 0 : _c.config_value;
  let color = style == null ? void 0 : style.color;
  return {
    color: color || "#0082fa"
  };
}
function getBorderColorInfo() {
  var _a, _b, _c;
  let style = (_c = (_b = (_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.config) == null ? void 0 : _b.companyConfig) == null ? void 0 : _c.config_value;
  let color = style == null ? void 0 : style.color;
  return {
    color: color || "#0082fa",
    border: "1rpx solid " + (color || "#0082fa")
  };
}
function getStyleColorValueInfo() {
  var _a, _b, _c;
  let style = (_c = (_b = (_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.config) == null ? void 0 : _b.companyConfig) == null ? void 0 : _c.config_value;
  let color = style == null ? void 0 : style.color;
  return color || "#0082fa";
}
function getStyleBgGradientInfo() {
  var _a, _b, _c;
  let style = (_c = (_b = (_a = auth == null ? void 0 : auth.data) == null ? void 0 : _a.config) == null ? void 0 : _b.companyConfig) == null ? void 0 : _c.config_value;
  return {
    background: style == null ? void 0 : style.pageColor
  };
}
exports.getBorderColorInfo = getBorderColorInfo;
exports.getStyleBgGradientInfo = getStyleBgGradientInfo;
exports.getStyleBgInfo = getStyleBgInfo;
exports.getStyleColorInfo = getStyleColorInfo;
exports.getStyleColorValueInfo = getStyleColorValueInfo;
